import {
  get,
} from '../../utils/http';
import {
  removeCss,
} from '../../utils/util';
var WxParse = require('../../components/local/wxParse/wxParse.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    spinning: true,
    detail: {},
    id:'',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      id:options.id
    })
    this.getArticleInfo(options.id)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      path: `/pages/articleDetail/articleDetail?id=${this.data.id}`
    };
  },

  /**
   * 获取秘籍详情
   * /api/info/info
   */
  getArticleInfo(info_id) {
    get('api/info/info', {
      info_id
    }, (res) => {
      WxParse.wxParse('article', 'html', res.data.content, this, 5);
      // res.data.content = removeCss(res.data.content)
      this.setData({
        detail: res.data,
        spinning: false
      })
    })
  }
})